<?php
include 'conn.php';
error_reporting(E_ERROR | E_PARSE);
session_start();

$_SESSION['database'] = $_GET['database'];
$_SESSION['cod_sucu'] = $_GET['cod_sucu'];

$cDbName = $_SESSION['database'];
$cCodSuc = $_SESSION['cod_sucu'];

$cSql_Suc =   "
SELECT
    UPPER(TRIM(suc_descripcion)) AS suc_descripcion          ,  
    suc_id            , suc_id_fiscal      ,  
    suc_dv            , suc_tipo_persona, suc_coordenadas    ,  
    suc_prov_fe_cod   , suc_prov_fe_desc, suc_dist_fe_cod    ,  
    suc_dist_fe_desc  , suc_corr_fe_cod , suc_corr_fe_desc   ,  
    suc_ubica_cod_fe  , suc_direccion   , suc_correo         ,  
    suc_telefono1     , suc_telefono2            
FROM `sucursales`
WHERE (suc_id=$cCodSuc) AND (IFNULL(suc_activa,0)=1) ORDER BY 3" ;

$oData = mysqli_query($connection, $cSql_Suc);

$jsonData = array();
$jsonTempData = array();

while($row = mysqli_fetch_array($oData, MYSQLI_ASSOC)){
    $jsonTempData['suc_id']= $row['suc_id'];
    $jsonTempData['suc_descripcion']= utf8_encode($row['suc_descripcion']);
    $jsonTempData['suc_id_fiscal']= utf8_encode($row['suc_id_fiscal']);
    $jsonTempData['suc_dv']= utf8_encode($row['suc_dv']);
    $jsonTempData['suc_tipo_persona']= $row['suc_tipo_persona'];
    $jsonTempData['suc_coordenadas']= utf8_encode($row['suc_coordenadas']);
    $jsonTempData['suc_prov_fe_cod']= $row['suc_prov_fe_cod'];
    $jsonTempData['suc_prov_fe_desc']= utf8_encode($row['suc_prov_fe_desc']);
    $jsonTempData['suc_dist_fe_cod']= $row['suc_dist_fe_cod'];
    $jsonTempData['suc_dist_fe_desc']= utf8_encode($row['suc_dist_fe_desc']);
    $jsonTempData['suc_corr_fe_cod']= $row['suc_corr_fe_cod'];
    $jsonTempData['suc_corr_fe_desc']= utf8_encode($row['suc_corr_fe_desc']);
    $jsonTempData['suc_ubica_cod_fe']= utf8_encode($row['suc_ubica_cod_fe']);
    $jsonTempData['suc_direccion']= utf8_encode($row['suc_direccion']);
    $jsonTempData['suc_correo']= utf8_encode($row['suc_correo']);
    $jsonTempData['suc_telefono1']= utf8_encode($row['suc_telefono1']);
    $jsonTempData['suc_telefono2']= utf8_encode($row['suc_telefono2']);
    
    $jsonData[] = $jsonTempData;
}

header('Content-type: application/json');
print_r(json_encode($jsonData));

$row=NULL;
$jsonData=NULL;
$jsonTempData=NULL;

mysqli_free_result($oData);
mysqli_close($connection);
/*
ULTIMA MODICICASION 2022-09-01 JOHNN GUTIERREZ
*/
?>